Loading...
Searching...
No Matches
latency-utils.h File Reference
SPA » Parameters

spa/param/latency-utils.h More...

Go to the source code of this file.

## Macros

#define | SPA_API_LATENCY_UTILS static inline

## Functions

SPA_API_LATENCY_UTILS int | spa_latency_info_compare (const struct spa_latency_info *a, const struct spa_latency_info *b)
SPA_API_LATENCY_UTILS void | spa_latency_info_combine_start (struct spa_latency_info *info, enum spa_direction direction)
SPA_API_LATENCY_UTILS void | spa_latency_info_combine_finish (struct spa_latency_info *info)
SPA_API_LATENCY_UTILS int | spa_latency_info_combine (struct spa_latency_info *info, const struct spa_latency_info *other)
SPA_API_LATENCY_UTILS int | spa_latency_parse (const struct spa_pod *latency, struct spa_latency_info *info)
SPA_API_LATENCY_UTILS struct spa_pod * | spa_latency_build (struct spa_pod_builder *builder, uint32_t id, const struct spa_latency_info *info)
SPA_API_LATENCY_UTILS int | spa_process_latency_parse (const struct spa_pod *latency, struct spa_process_latency_info *info)
SPA_API_LATENCY_UTILS struct spa_pod * | spa_process_latency_build (struct spa_pod_builder *builder, uint32_t id, const struct spa_process_latency_info *info)
SPA_API_LATENCY_UTILS int | spa_process_latency_info_add (const struct spa_process_latency_info *process, struct spa_latency_info *info)
SPA_API_LATENCY_UTILS int | spa_process_latency_info_compare (const struct spa_process_latency_info *a, const struct spa_process_latency_info *b)

## Detailed Description

spa/param/latency-utils.h